none
SharePoint2016 構成ウィザードの実行エラー RRS feed

  • 質問

  • お世話になっております。SharePoint2016のインストールを行った後、製品構成ウィザードを実行したところ

    エラーが発生してしまいました。対処法をご存知の方がいましたらご教授下さい。

    - 環境

    WindowsServer2012R2/SharePointServer2016 RTM

    WindowsServer2012R2/SQLServer2014withSP1(Std)

    ------------------------------------------
    構成データベースの作成に失敗しました。
    種類 Microsoft.SharePoint.Upgrade.SPUpgradeException の例外がスローされました。例外の追加情報: 1 つ以上の種類を読み込めませんでした。詳細については、アップグレード ログを参照してください。
    Microsoft.SharePoint.Upgrade.SPUpgradeException: 1 つ以上の種類を読み込めませんでした。
    ------------------------------------------

    - 詳細

    構成データベースの作成に失敗しました。
    種類 Microsoft.SharePoint.Upgrade.SPUpgradeException の例外がスローされました。例外の追加情報: 1 つ以上の種類を読み込めませんでした。詳細については、アップグレード ログを参照してください。
    Microsoft.SharePoint.Upgrade.SPUpgradeException: 1 つ以上の種類を読み込めませんでした。詳細については、アップグレード ログを参照してください。
       場所 Microsoft.SharePoint.Upgrade.SPActionSequence.LoadUpgradeActions()
       場所 Microsoft.SharePoint.Upgrade.SPActionSequence.get_Actions()
       場所 Microsoft.SharePoint.Upgrade.SPActionSequence.get_ActionsInternal()
       場所 Microsoft.SharePoint.Upgrade.SPUtility.GetLatestTargetSchemaVersionBeforeMajorVersion(Type typeActionSequence, Int32 majorVer)
       場所 Microsoft.SharePoint.Upgrade.SPSiteSequence.get_PreviousTargetSchemaVersion()
       場所 Microsoft.SharePoint.Upgrade.SPUpgradeSession.PopulateSequencesTable(StringBuilder sqlstr, Boolean siteSequence)
       場所 Microsoft.SharePoint.Upgrade.SPUpgradeSession.ConstructSiteNeedsUpgradeQuery(Guid siteId)
       場所 Microsoft.SharePoint.Upgrade.SPContentDatabaseSequence.GetSiteNeedsUpgrade(SPUpgradeSession session, SPContentDatabase database, Dictionary`2& dictSitesNeedUpgrade, Dictionary`2& dictSitesNeedFeatureUpgrade)
       場所 Microsoft.SharePoint.Upgrade.SPContentDatabaseSequence.AddNextLevelObjects()
       場所 Microsoft.SharePoint.Upgrade.SPHierarchyManager.Grow(SPTree`1 root, Boolean bRecursing, SPDelegateManager delegateManager)
       場所 Microsoft.SharePoint.Upgrade.SPHierarchyManager.Grow(SPTree`1 root, SPDelegateManager delegateManager)
       場所 Microsoft.SharePoint.Upgrade.SPUpgradeSession.NeedsUpgrade(Object o, Boolean bRecurse)
       場所 Microsoft.SharePoint.Upgrade.SPUpgradeSession.ReflexiveNeedsUpgrade(Object o, Boolean bRecurse)
       場所 Microsoft.SharePoint.Upgrade.SPUpgradeSession.NeedsUpgrade(Object o, Boolean bRecurse)
       場所 Microsoft.SharePoint.Upgrade.SPUpgradeSession.ReflexiveNeedsUpgrade(Object o, Boolean bRecurse)
       場所 Microsoft.SharePoint.Upgrade.SPUpgradeSession.NeedsUpgrade(Object o, Boolean bRecurse)
       場所 Microsoft.SharePoint.Upgrade.SPUpgradeSession.ReflexiveNeedsUpgrade(Object o, Boolean bRecurse)
       場所 Microsoft.SharePoint.Upgrade.SPUpgradeSession.NeedsUpgrade(Object o, Boolean bRecurse)
       場所 Microsoft.SharePoint.Upgrade.SPUpgradeSession.ReflexiveNeedsUpgrade(Object o, Boolean bRecurse)
       場所 Microsoft.SharePoint.Upgrade.SPUpgradeSession.NeedsUpgrade(Object o, Boolean bRecurse)
       場所 Microsoft.SharePoint.Administration.SPServerProductInfo.DetectLocalUpgradeStatus()
       場所 Microsoft.SharePoint.Administration.SPServerProductInfo.DetectLocalProductVersions(SPProductVersions prodVer)
       場所 Microsoft.SharePoint.Administration.SPServerProductInfo.UpdateProductInfoInDatabase(Guid serverGuid)
       場所 Microsoft.SharePoint.Administration.SPFarm.Join(Boolean skipRegisterAsDistributedCacheHost, Nullable`1 serverRole)
       場所 Microsoft.SharePoint.PostSetupConfiguration.ConfigurationDatabaseTask.CreateOrConnectConfigDb()
       場所 Microsoft.SharePoint.PostSetupConfiguration.ConfigurationDatabaseTask.Run()
       場所 Microsoft.SharePoint.PostSetupConfiguration.TaskThread.ExecuteTask()

    宜しくお願い致します。

    2016年5月19日 6:24

回答

すべての返信

  • TechNet Blog に言及されている記事がありました。

    SPUpgradeException – Error message when you run the "SharePoint Products and Technologies Configuration Wizard" when you create a New SharePoint 2016 Farm
    https://blogs.technet.microsoft.com/fromthefield/2016/04/15/spupgradeexception-error-message-when-you-run-the-sharepoint-products-and-technologies-configuration-wizard-when-you-create-a-new-sharepoint-2016-farm/

    こちらの記事では、必須コンポーネント インストール ツールを利用しなかった場合に発生しうると記載されています。

    回避策としては、必須コンポーネント インストール ツールを実行し直すか、WCFDataServices.exe のセキュリティ ブロックを解除してから、Microsoft WCF Data Services 5.6 を修復するといった方法が示されています。


    • 編集済み OTA HirofumiMVP 2016年5月20日 10:04 リンク修正
    • 回答の候補に設定 佐伯玲 2016年5月23日 1:06
    • 回答としてマーク 佐伯玲 2016年6月2日 1:49
    2016年5月20日 9:02
  • こんにちは、K.Yurie さん
    フォーラムオペレータの佐伯 玲 です。

    OTA Hirofumiさんからご参考になりそうな情報が寄せられておりましたので私のほうから「回答としてマーク」とさせていただきますね。
    フォーラムでご質問後は定期的に情報が寄せられていないかご確認いただけましたらと思います。
    ご参考になったり解決に至ったりご参考になった際には「回答としてマーク」と設定し質問が終了したことがわかるようご設定くださいね。

    宜しくお願い致します。

    TechNet Community Support 佐伯 玲

    2016年6月2日 1:49